Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.log
Class LoggerConfig.LogHandlerConfig

    java.lang.Object
      org.jini.rio.log.LoggerConfig.LogHandlerConfig

All Implemented Interfaces:
  Serializable

Enclosing class:
  LoggerConfig

    public static class LoggerConfig.LogHandlerConfig

extends Object
implements Serializable

LogerHandlerConfig provides attributes needed to create a `Handler`

See Also:
  Serialized Form

Constructor Summary
`LoggerConfig.LogHandlerConfig(Handler handler, Level level)` Create a LogHandlerConfig.
`LoggerConfig.LogHandlerConfig(String handlerClassName, Level level)` Create a LogHandlerConfig
`LoggerConfig.LogHandlerConfig(String handlerClassName, Level level, List<LoggerConfig.FormalArgument> params)` Create a LogHandlerConfig
`LoggerConfig.LogHandlerConfig(String handlerClassName, Level level, List<LoggerConfig.FormalArgument> params, String formatterClassName)` Create a LogHandlerConfig

Method Summary
`boolean` | `equals(Object obj)` Override equals
`Handler` | `getHandler()` Get the handler
`Level` | `getHandlerLevel()` Get the Level for the Handler
`int` | `hashCode()` Override hashCode

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggerConfig.LogHandlerConfig

    public LoggerConfig.LogHandlerConfig(String handlerClassName,
                                         Level level)

  Create a LogHandlerConfig

  Parameters:
    `handlerClassName` - The class name (suitable for Class.forName use) of a log `Handler` to receive logging messages
    `level` - Set the log level specifying which message levels will be logged by the Handler. Message levels lower than this value will be discarded

### LoggerConfig.LogHandlerConfig

    public LoggerConfig.LogHandlerConfig(String handlerClassName,
                                         Level level,
                                         List<LoggerConfig.FormalArgument> params)

  Create a LogHandlerConfig

  Parameters:
    `handlerClassName` - The class name (suitable for Class.forName use) of a log `Handler` to receive logging messages
    `level` - Set the log level specifying which message levels will be logged by the Handler. Message levels lower than this value will be discarded
    `params` - Constructor parameters to create the Handler

### LoggerConfig.LogHandlerConfig

    public LoggerConfig.LogHandlerConfig(String handlerClassName,
                                         Level level,
                                         List<LoggerConfig.FormalArgument> params,
                                         String formatterClassName)

  Create a LogHandlerConfig

  Parameters:
    `handlerClassName` - The class name (suitable for Class.forName use) of a log Handler to receive logging messages
    `level` - Set the log level specifying which message levels will be logged by the Handler. Message levels lower than this value will be discarded
    `params` - Constructor parameters to create the Handler
    `formatterClassName` - The class name (suitable for Class.forName use) of a java.util.logging.Formatter to use with the Handler

### LoggerConfig.LogHandlerConfig

    public LoggerConfig.LogHandlerConfig(Handler handler,
                                         Level level)

  Create a LogHandlerConfig.

  Parameters:
    `handler` - A log Handler to receive logging messages
    `level` - Set the log level specifying which message levels will be logged by the Handler. Message levels lower than this value will be discarded

Method Detail

### getHandlerLevel

    public Level getHandlerLevel()

  Get the Level for the Handler

### hashCode

    public int hashCode()

  Override hashCode

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Override equals

  Overrides:
    `equals` in class `Object`

### getHandler

    public Handler getHandler()
                       throws Exception

  Get the handler

  Returns:
    Handler A suitable Handler
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.